# ISPartitioningToNumbering

Takes an ISPartitioning and on each processor generates an IS that contains a new global node number for each index based on the partitioing.

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode PETSCVEC_DLLEXPORT ISPartitioningToNumbering(IS part,IS *is)

Collective on IS

Input Parameters

partitioning -a partitioning as generated by MatPartitioningApply()

### Output Parameter

is -on each processor the index set that defines the global numbers (in the new numbering) for all the nodes currently (before the partitioning) on that processor

### See Also

MatPartitioningCreate(), AOCreateBasic(), ISPartitioningCount()

Level:advanced
Location: src/vec/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/dm/ao/examples/tutorials/ex2.c.html